import java.io.*;
import java.sql.*;

class DriverManagerConnectionLogging {

 public static void main (String args[]) 
  throws ClassNotFoundException, IOException, SQLException {

  Class.forName("oracle.jdbc.driver.OracleDriver");
// or you can use:
//  DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());
  DriverManager.setLogWriter(
   new PrintWriter(
    new FileOutputStream("DriverManagerConnectionLogging.log")));
  Connection conn = 
   DriverManager.getConnection(
    "jdbc:oracle:thin:@dssw2k01:1521:orcl","scott","tiger");
  Statement stmt = conn.createStatement();
  ResultSet rset = stmt.executeQuery(
   "select 'Hello Thin driver tester '||USER||'!' result from dual");
  while(rset.next()) 
   System.out.println(rset.getString(1));
  rset.close();
  stmt.close();
  conn.close();
 }
}
